commit:     7b369a4d1188979c46bff1f35140d65a2246486a
Author:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 05:47:39 2017 +0000
Commit:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 05:47:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b369a4d

app-admin/keepass: version bump to 2.35

- Updated ebuild to EAPI 6
- Cleaned up ebuild
- Removed some unneeded patches
- One more proxy maintainer has been added

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-admin/keepass/Manifest            |   1 +
 app-admin/keepass/keepass-2.35.ebuild | 120 ++++++++++++++++++++++++++++++++++
 app-admin/keepass/metadata.xml        |   4 ++
 3 files changed, 125 insertions(+)

diff --git a/app-admin/keepass/Manifest b/app-admin/keepass/Manifest
index 5a28563..c5f4400 100644
--- a/app-admin/keepass/Manifest
+++ b/app-admin/keepass/Manifest
@@ -1 +1,2 @@
 DIST KeePass-2.34-Source.zip 4744285 SHA256 
e3f184e4deddd1aa5ee2b52e2373c772d3f3975e5eddb2fd729eb27b437011aa SHA512 
a52fe7bb0cee60daa0428cf42cf2d6cfc5798fa52d535b10548880417bfe61458c5357ea3dfdb569571fa8aa958de05369c269e2dbb64af5cfa5c913fad521e0
 WHIRLPOOL 
2aeac242d5f1a342ec338cb442b8083f4dc72635d9bc8b02cd2aad4613ecf9f311cddf0832a3f1ebe03d881dce41d3a77edb097e3853967d467c2ce55b8d33cb
+DIST KeePass-2.35-Source.zip 4840873 SHA256 
5faad9381af2f9d808d65ee3d880ff3bca9352c7ce886fea95d54f9169e863df SHA512 
9f9bb0875c3261e004f655356e8302858afebb7d41a4e4619affaa5e8e5375ffe4fc2b251db10d1d18ef94e07d60dd9bd8812ecedcd5de4c4fbe641c6a37dede
 WHIRLPOOL 
db1d270ac5402021add60739ca4916d9dd81999c53b095d143a34a2886f47c354170e41fee63027be83866c541022c79c3c21111a501cd51bafb972e5fe277e2

diff --git a/app-admin/keepass/keepass-2.35.ebuild 
b/app-admin/keepass/keepass-2.35.ebuild
new file mode 100644
index 00000000..f6ecc51
--- /dev/null
+++ b/app-admin/keepass/keepass-2.35.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils fdo-mime gnome2-utils multilib
+
+MY_PN="KeePass"
+DESCRIPTION="A free, open source, light-weight and easy-to-use password 
manager"
+HOMEPAGE="http://keepass.info/";
+SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}-Source.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aot"
+
+COMMON_DEPEND="dev-lang/mono"
+DEPEND="${COMMON_DEPEND}
+               app-arch/unzip"
+RDEPEND="${COMMON_DEPEND}
+               dev-dotnet/libgdiplus[cairo]"
+
+S="${WORKDIR}"
+PATCHES=( "${FILESDIR}/${PN}-2.20-xsl-path-detection.patch" )
+
+src_prepare() {
+       # KeePass looks for some XSL files in the same folder as the executable,
+       # we prefer to have it in /usr/share/KeePass. Apply patch using base 
function.
+       default
+
+       # Switch into build dir so the mono prepration script works correctly
+       cd Build || die
+       source PrepMonoDev.sh || die
+       cd ../ || die
+
+       # If we are using Mono 4 or newer, Then fix the build. Bug #558094
+       # https://sourceforge.net/p/keepass/discussion/329221/thread/72db1a65/
+       if has_version ">=dev-lang/mono-4" ; then
+               sed -i -e 's! ToolsVersion="3.5"!!g' 
Translation/TrlUtil/TrlUtil.csproj || die
+               sed -i -e 's/Format Version 10.00/Format Version 11.00/' 
KeePass.sln || die
+       fi
+}
+
+src_compile() {
+       # Build with Release target
+       xbuild /target:KeePass /property:Configuration=Release || die
+
+       # Run Ahead Of Time compiler on the binary
+       if use aot; then
+               cp Ext/KeePass.exe.config Build/KeePass/Release/ || die
+               mono --aot -O=all Build/KeePass/Release/KeePass.exe || die
+       fi
+}
+
+src_install() {
+       # Wrapper script to launch mono
+       make_wrapper "${PN}" "mono /usr/$(get_libdir)/${PN}/KeePass.exe"
+
+       # Some XSL files
+       insinto "/usr/share/${PN}/XSL"
+       doins Ext/XSL/*
+
+       insinto "/usr/$(get_libdir)/${PN}/"
+       exeinto "/usr/$(get_libdir)/${PN}/"
+
+       doins Ext/KeePass.exe.config
+
+       # Default configuration, simply says to use user-specific configuration
+       doins Ext/KeePass.config.xml
+
+       # The actual executable
+       doexe Build/KeePass/Release/KeePass.exe
+
+       # Copy the AOT compilation result
+       if use aot; then
+               doexe Build/KeePass/Release/KeePass.exe.so
+       fi
+
+       # Prepare the icons
+       newicon -s 256 Ext/Icons_04_CB/Finals/plockb.png "${PN}.png"
+       newicon -s 256 -t gnome -c mimetypes Ext/Icons_04_CB/Finals/plockb.png 
"application-x-${PN}2.png"
+
+       # Create a desktop entry and associate it with the KeePass mime type
+       make_desktop_entry "${PN}" "${MY_PN}" "${PN}" "System;Security" 
"MimeType=application/x-keepass2;"
+
+       # MIME descriptor for .kdbx files
+       insinto /usr/share/mime/packages/
+       doins "${FILESDIR}/${PN}.xml"
+
+       # sed, because patching this really sucks
+       sed -i 's/mono/mono --verify-all/g' "${D}/usr/bin/keepass"
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       _update_caches
+
+       if ! has_version x11-misc/xdotool ; then
+               elog "Optional dependencies:"
+               elog "  x11-misc/xdotool (enables autotype/autofill)"
+       fi
+
+       elog "Some systems may experience issues with copy and paste 
operations."
+       elog "If you encounter this, please install x11-misc/xsel."
+}
+
+pkg_postrm() {
+       _update_caches
+}
+
+_update_caches() {
+       gnome2_icon_cache_update
+       fdo-mime_mime_database_update
+       fdo-mime_desktop_database_update
+}

diff --git a/app-admin/keepass/metadata.xml b/app-admin/keepass/metadata.xml
index 1bac3fa..9a5a02b 100644
--- a/app-admin/keepass/metadata.xml
+++ b/app-admin/keepass/metadata.xml
@@ -9,6 +9,10 @@
                <email>[email protected]</email>
                <description>Proxy maintainer. CC him on bugs.</description>
        </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <description>Proxy maintainer. CC him on bugs.</description>
+       </maintainer>
        <maintainer type="project">
                <email>[email protected]</email>
                <name>Proxy Maintainers</name>

Reply via email to